
/**
 * @file   linux/at/as_asm_uaccess.h
 *
 * @author Alazar Technologies Inc
 *
 * @copyright Copyright (c) 2020 Alazar Technologies Inc. All Rights
 * Reserved.  Unpublished - rights reserved under the Copyright laws
 * of the United States And Canada.
 * This product contains confidential information and trade secrets
 * of Alazar Technologies Inc. Use, disclosure, or reproduction is
 * prohibited without the prior express written permission of Alazar
 * Technologies Inc
 */

// This file is included into the dkms package.

// This file replace the kernel <asm/uaccess.h> header.

#pragma once

// Functions
/////////////////////////////////////////////////////////////////////////////

// ===== The at public code defines =========================================
extern bool at_access_read_ok(void *aAddr, unsigned long aSize_byte);
extern bool at_access_write_ok(void *aAddr, unsigned long aSize_byte);
