
/**
 * @file   linux/at/at_linux_printk.c
 *
 * @author Alazar Technologies Inc
 *
 * @copyright Copyright (c) 2018 Alazar Technologies Inc. All Rights
 * Reserved.  Unpublished - rights reserved under the Copyright laws
 * of the United States And Canada.
 * This product contains confidential information and trade secrets
 * of Alazar Technologies Inc. Use, disclosure, or reproduction is
 * prohibited without the prior express written permission of Alazar
 * Technologies Inc
 */

// This file is included into the dkms package.

// Includes
/////////////////////////////////////////////////////////////////////////////

// ===== linux/at ===========================================================
#include <at_assert.h>

#include <at_linux_printk.h>

// Functions
/////////////////////////////////////////////////////////////////////////////

// aFormat [---;R--]
void at_printk(const char *aFormat, ...)
{
    va_list lArgs;

    at_assert(NULL != aFormat);

    va_start(lArgs, aFormat);

    vprintk(aFormat, lArgs);

    va_end(lArgs);
}
