
/**
 * @file   linux/at/at_linux_printk.h
 *
 * @author Alazar Technologies Inc
 *
 * @copyright Copyright (c) 2020 Alazar Technologies Inc. All Rights
 * Reserved.  Unpublished - rights reserved under the Copyright laws
 * of the United States And Canada.
 * This product contains confidential information and trade secrets
 * of Alazar Technologies Inc. Use, disclosure, or reproduction is
 * prohibited without the prior express written permission of Alazar
 * Technologies Inc
 */

// This file is included into the dkms package.

// This file replace the kernel <linux/printk.h> header.

#pragma once

// Constants
/////////////////////////////////////////////////////////////////////////////

#ifndef MODULE

#define KERN_SOH "\001"

#define KERN_EMERG KERN_SOH "0"
#define KERN_ALERT KERN_SOH "1"
#define KERN_CRIT KERN_SOH "2"
#define KERN_ERR KERN_SOH "3"
#define KERN_WARNING KERN_SOH "4"
#define KERN_NOTICE KERN_SOH "5"
#define KERN_INFO KERN_SOH "6"
#define KERN_DEBUG KERN_SOH "7"
#define KERN_DEFAULT KERN_SOH "d"

#endif

// Functions
/////////////////////////////////////////////////////////////////////////////

// ===== The public code defines ============================================
extern void at_printk(const char *aFormat, ...);
