
/**
 * @file   linux/at/at_linux_vmalloc.h
 *
 * @author Alazar Technologies Inc
 *
 * @copyright Copyright (c) 2020 Alazar Technologies Inc. All Rights
 * Reserved.  Unpublished - rights reserved under the Copyright laws
 * of the United States And Canada.
 * This product contains confidential information and trade secrets
 * of Alazar Technologies Inc. Use, disclosure, or reproduction is
 * prohibited without the prior express written permission of Alazar
 * Technologies Inc
 */

// This file is included into the dkms package.

// This file replace the kernel <linux/vmalloc.h> header.

#pragma once

// Functions
/////////////////////////////////////////////////////////////////////////////

// ===== The at public code defines =========================================
extern void *at_vm_alloc(size_t aSize_byte);
extern void at_vm_free(void *aAddress);
