#!/bin/sh

# copyright (c) 2020 Alazar Technologies Inc. All Rights Reserved.
# Unpublished - rights reserved under the Copyright laws of the United States
# And Canada.
# This product contains confidential information and trade secrets of Alazar
# Technologies Inc. Use, disclosure, or reproduction is prohibited without
# the prior express written permission of Alazar Technologies Inc

# This file is included into the dkms package.

BOARD=ats9146
MODULE=ats9146.ko
VERSION=7.8.3

if [ -e $MODULE ] ;
then
    cp $MODULE /usr/local/AlazarTech/bin/$MODULE
elif [ -e /var/lib/dkms/$BOARD/$VERSION/$(uname -r)/x86_64/module/$MODULE.xz ] ;
then
    cp /var/lib/dkms/$BOARD/$VERSION/$(uname -r)/x86_64/module/$MODULE.xz /usr/local/AlazarTech/bin/$MODULE
fi

cd ../source
