
/**
 * @file   linux/at/at_ioporth
 *
 * @author Alazar Technologies Inc
 *
 * @copyright Copyright (c) 2020 Alazar Technologies Inc. All Rights
 * Reserved.  Unpublished - rights reserved under the Copyright laws
 * of the United States And Canada.
 * This product contains confidential information and trade secrets
 * of Alazar Technologies Inc. Use, disclosure, or reproduction is
 * prohibited without the prior express written permission of Alazar
 * Technologies Inc
 */

// This file is included into the dkms package.

// This file replace the kernel <linux/ioport.h> header.

#pragma once

// Functions
/////////////////////////////////////////////////////////////////////////////

// ===== The at public code defines =========================================

extern void at_release_mem_region(uint64_t aPA, uint32_t aSize_byte);
extern void at_release_region(uint64_t aPA, uint32_t aSize_byte);
extern void *at_request_mem_region(uint64_t aPA, uint32_t aSize_byte, const char *aName);
extern void *at_request_region(uint64_t aPA, uint32_t aSize_byte, const char *aName);
