
/**
 * @file   linux/at/at_linux_jiffies.c
 *
 * @author Alazar Technologies Inc
 *
 * @copyright Copyright (c) 2020 Alazar Technologies Inc. All Rights
 * Reserved.  Unpublished - rights reserved under the Copyright laws
 * of the United States And Canada.
 * This product contains confidential information and trade secrets
 * of Alazar Technologies Inc. Use, disclosure, or reproduction is
 * prohibited without the prior express written permission of Alazar
 * Technologies Inc
 */

// This file is included into the dkms package.

// Includes
/////////////////////////////////////////////////////////////////////////////

// ===== Linux kernel =======================================================
#include <linux/jiffies.h>

// ===== linux/at ===========================================================
#include <at_linux_jiffies.h>

// Functions
/////////////////////////////////////////////////////////////////////////////

uint32_t at_hz_get() { return HZ; }

unsigned long at_msecs_to_jiffies(unsigned int aDelay_ms) { return msecs_to_jiffies(aDelay_ms); }
