
/**
 * @file   linux/at/at_main_A.h
 *
 * @author Alazar Technologies Inc
 *
 * @copyright Copyright (c) 2020 Alazar Technologies Inc. All Rights
 * Reserved.  Unpublished - rights reserved under the Copyright laws
 * of the United States And Canada.
 * This product contains confidential information and trade secrets
 * of Alazar Technologies Inc. Use, disclosure, or reproduction is
 * prohibited without the prior express written permission of Alazar
 * Technologies Inc
 */

// This file is included into the dkms package.

#pragma once

// Includes
/////////////////////////////////////////////////////////////////////////////

// ===== Linux kernel =======================================================
struct pci_dev;

// Variables
/////////////////////////////////////////////////////////////////////////////

// ===== The private library defines ========================================
extern struct pci_device_id at_pci_device_id_table[2];

// Functions
/////////////////////////////////////////////////////////////////////////////

// ===== The private library defines ========================================

extern void *at_device_create(struct pci_dev *aPciDev);
extern void at_device_release(void *aDevExt);
