
/**
 * @file   linux/at/at_main_B.h
 *
 * @author Alazar Technologies Inc
 *
 * @copyright Copyright (c) 2020 Alazar Technologies Inc. All Rights
 * Reserved.  Unpublished - rights reserved under the Copyright laws
 * of the United States And Canada.
 * This product contains confidential information and trade secrets
 * of Alazar Technologies Inc. Use, disclosure, or reproduction is
 * prohibited without the prior express written permission of Alazar
 * Technologies Inc
 */

// This file is included into the dkms package.

#pragma once

// Includes
/////////////////////////////////////////////////////////////////////////////

// ===== Linux kernel =======================================================
struct file;
struct inode;
struct prod_dir_entry;
struct seq_file;

// Functions
/////////////////////////////////////////////////////////////////////////////

// ===== The private library defines ========================================

extern void at_module_exit(void);
extern int at_module_init(int aMajor);
